DefaultHighlighter.DefaultHighlightPainter (Java SE 26 & JDK 26)
Description: declaration: module: java.desktop, package: javax.swing.text, class: DefaultHighlighter, class: DefaultHighlightPainter
Keywords: javax.swing.text.DefaultHighlighter.DefaultHighlightPainter class

# Class DefaultHighlighter.DefaultHighlightPainter

java.lang.Object
javax.swing.text.LayeredHighlighter.LayerPainter
javax.swing.text.DefaultHighlighter.DefaultHighlightPainter

All Implemented Interfaces:
  `Highlighter.HighlightPainter`

Enclosing class:
  `DefaultHighlighter`

public static class DefaultHighlighter.DefaultHighlightPainter extends LayeredHighlighter.LayerPainter
Simple highlight painter that fills a highlighted area with a solid color.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DefaultHighlightPainter(Color c)`
  Constructs a new highlight painter.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Color`
  `getColor()`
  Returns the color of the highlight.
  `void`
  `paint(Graphics g, int offs0, int offs1, Shape bounds, JTextComponent c)`
  Paints a highlight.
  `Shape`
  `paintLayer(Graphics g, int offs0, int offs1, Shape bounds, JTextComponent c, View view)`
  Paints a portion of a highlight.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Constructor Details

  - ### DefaultHighlightPainter

    public DefaultHighlightPainter(Color c)
    Constructs a new highlight painter. If `c` is null, the JTextComponent will be queried for its selection color.
    Parameters:
      `c` - the color for the highlight

- ## Method Details

  - ### getColor

    public Color getColor()
    Returns the color of the highlight.
    Returns:
      the color

  - ### paint

    public void paint(Graphics g, int offs0, int offs1, Shape bounds, JTextComponent c)
    Paints a highlight.
    Parameters:
      `g` - the graphics context
      `offs0` - the starting model offset >= 0
      `offs1` - the ending model offset >= offs1
      `bounds` - the bounding box for the highlight
      `c` - the editor

  - ### paintLayer

    public Shape paintLayer(Graphics g, int offs0, int offs1, Shape bounds, JTextComponent c, View view)
    Paints a portion of a highlight.
    Specified by:
      `paintLayer` in class `LayeredHighlighter.LayerPainter`
    Parameters:
      `g` - the graphics context
      `offs0` - the starting model offset >= 0
      `offs1` - the ending model offset >= offs1
      `bounds` - the bounding box of the view, which is not necessarily the region to paint.
      `c` - the editor
      `view` - View painting for
    Returns:
      region drawing occurred in